FUNCTION::SPECULATIO(3stap)

NAME
function::speculation - Allocate a new id for speculative output

SYNOPSIS

    speculation:long()

ARGUMENTS

None

DESCRIPTION

The speculation function is called when a new speculation buffer is needed. It returns an id for the speculative output. There can be multiple threads being speculated on concurrently. This id is used by other speculation functions to keep the threads separate.

SEE ALSO
tapset::speculative(3stap)